org.apache.cxf.common.util

## Class ASMHelper

- java.lang.Object
- - org.apache.cxf.common.util.ASMHelper

-     public class ASMHelper
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ASMHelper.AnnotationVisitor`
    `static interface` | `ASMHelper.ASMType`
    `static interface` | `ASMHelper.ClassWriter`
    `static interface` | `ASMHelper.FieldVisitor`
    `static interface` | `ASMHelper.Label`
    `static interface` | `ASMHelper.MethodVisitor`
    `static class` | `ASMHelper.Opcodes`
    `static class` | `ASMHelper.TypeHelperClassLoader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `badASM`
    `protected static Map<Class<?>,WeakReference<ASMHelper.TypeHelperClassLoader>>` | `CLASS_MAP`
    `protected static Map<ClassLoader,WeakReference<ASMHelper.TypeHelperClassLoader>>` | `LOADER_MAP`
    `protected static Map<Class<?>,String>` | `NONPRIMITIVE_MAP`
    `protected static Map<Class<?>,String>` | `PRIMITIVE_MAP`
    `protected static Map<Class<?>,Integer>` | `PRIMITIVE_ZERO_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASMHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASMHelper.ClassWriter` | `createClassWriter()`
    `ASMHelper.Label` | `createLabel()`
    `Class<?>` | `findClass(String className, Class<?> clz)`
    `Class<?>` | `findClass(String className, ClassLoader l)`
    `static String` | `getClassCode(Class<?> cl)`
    `static String` | `getClassCode(Type type)`
    `protected static String` | `getMethodSignature(Method m)`
    `ASMHelper.ASMType` | `getType(String type)`
    `Class<?>` | `loadClass(String className, Class<?> clz, byte[] bytes)`
    `Class<?>` | `loadClass(String className, ClassLoader l, byte[] bytes)`
    `static String` | `periodToSlashes(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIMITIVE_MAP

          protected static final Map<Class<?>,String> PRIMITIVE_MAP

    - #### NONPRIMITIVE_MAP

          protected static final Map<Class<?>,String> NONPRIMITIVE_MAP

    - #### PRIMITIVE_ZERO_MAP

          protected static final Map<Class<?>,Integer> PRIMITIVE_ZERO_MAP

    - #### LOADER_MAP

          protected static final Map<ClassLoader,WeakReference<ASMHelper.TypeHelperClassLoader>> LOADER_MAP

    - #### CLASS_MAP

          protected static final Map<Class<?>,WeakReference<ASMHelper.TypeHelperClassLoader>> CLASS_MAP

    - #### badASM

          protected static boolean badASM

  - ### Constructor Detail

    - #### ASMHelper

          public ASMHelper()

  - ### Method Detail

    - #### getMethodSignature

          protected static String getMethodSignature(Method m)

    - #### periodToSlashes

          public static String periodToSlashes(String s)

    - #### getClassCode

          public static String getClassCode(Class<?> cl)

    - #### getClassCode

          public static String getClassCode(Type type)

    - #### createClassWriter

          public ASMHelper.ClassWriter createClassWriter()

    - #### loadClass

          public Class<?> loadClass(String className,
                                    Class<?> clz,
                                    byte[] bytes)

    - #### loadClass

          public Class<?> loadClass(String className,
                                    ClassLoader l,
                                    byte[] bytes)

    - #### findClass

          public Class<?> findClass(String className,
                                    Class<?> clz)

    - #### findClass

          public Class<?> findClass(String className,
                                    ClassLoader l)

    - #### getType

          public ASMHelper.ASMType getType(String type)

    - #### createLabel

          public ASMHelper.Label createLabel()

Apache CXF